#!/bin/sh

# Code to generate readahead.pack for browser. Called
# by moblin-web-browser script in the first time of
# browser startup
#
# Based on Arjan van de Ven's sreadahead technology.

broot="$HOME/.mozilla/moblin-web-browser"

# stop if we even dont have sreadahead installed
[ ! -x /sbin/sreadahead-pack ] && exit 0

# don't generate a file if one is generated in 3 days.
# it is a hard decision - in theory the profiles changed 
# every time the browser is running. re-generate the index
# list each 3 days to keep synced with browser's (plugin, 
# extensions, bookmarked, places)
[ ! -z $(find $broot/breadahead.packed -type f -mtime -3 2>/dev/null) ] && \
  exit 0

# delay running this code for a few seconds to let the browser
# start up properly
(
  sleep 15
  cd /tmp
  find "$@" -xdev -type f | grep -v 'lang/langpack' > breadahead.packed.in
  /sbin/sreadahead-pack breadahead.packed.in
  [ -d $broot ] && mv readahead.packed $broot/breadahead.packed
  rm -f breadahead.packed.in
) &
